Class Fox::FXGLGroup

In: | ../lib/fox/glgroup.rb
Parent: | FXGLObject

A group of OpenGL objects

Methods

<< [] []= append bounds canDrag? clear drag draw each_child hit identify insert new prepend remove replace size

Included modules

Enumerable

Public Class methods

new()

Returns an initialized FXGLGroup instance

Public Instance methods

size()

Return number of objects in this group.

[](pos)

Return child at position pos.

[]=(pos, obj)

Set child at position pos to obj.

each_child() {|childObject| ...}

Iterate over child objects

bounds()

Return bounding box for this group (an FXRange instance)

draw(viewer)

Draw this group into viewer (an FXGLViewer instance).

hit(viewer)

Perform hit test in viewer (an FXGLViewer instance).

identify(path)

Identify object by means of path.

canDrag?()

Return `true` if group can be dragged.

drag(viewer, fx, fy, tx, ty)

Drag group object around in viewer (an FXGLViewer instance), from (fx, fy) to (tx, ty).

insert(pos, obj)

Insert child object (obj) at position pos.

prepend(obj)

Prepend child object (obj).

append(obj)

Append child object

This method is also aliased as <<

<<(obj)

Alias for append

replace(pos, obj)

Replace child object at position pos with obj.

remove(obj)

If obj is a reference to an FXGLObject in this group, remove the child object from the list. If obj is an integer, remove the child object at that position from the list.

clear()

Remove all children from this group.